package electrosphere.game.data.creature.type;

import electrosphere.game.data.common.TreeDataAnimation;

/**
 * Sprint data
 */
public class SprintSystem {
    TreeDataAnimation animationStartUp;
    TreeDataAnimation animationMain;
    TreeDataAnimation animationWindDown;
    float maxVelocity;
    int staminaMax;

    public TreeDataAnimation getAnimationStartUp() {
        return animationStartUp;
    }

    public TreeDataAnimation getAnimationMain() {
        return animationMain;
    }
    
    public TreeDataAnimation getAnimationWindDown() {
        return animationWindDown;
    }

    public float getMaxVelocity() {
        return maxVelocity;
    }

    public int getStaminaMax() {
        return staminaMax;
    }
    
    
}
